<?php 
/*
Plugin Name: Fix enamad error
Plugin URI: http://imitran.ir/posts/%D8%AD%D9%84-%D9%85%D8%B4%DA%A9%D9%84-%D8%B5%D9%81%D8%AD%D9%87-%D9%85%D9%88%D8%B1%D8%AF-%D9%86%D8%B8%D8%B1-%DB%8C%D8%A7%D9%81%D8%AA-%D9%86%D8%B4%D8%AF-%D8%A7%DB%8C%D9%86%D9%85%D8%A7%D8%AF.html
Description: حل مشکل صفحه مورد نظر یافت نشد اینماد
Author: مهران ایمانی
Author URI: http://mehranimani.ir/
Version: 1
*/

 


class enamad extends WP_Widget {
	function __construct() {
	parent::__construct('enamad_widget', __('ابزارک اضافه کردن اینماد', 'enamad_widget'), 
	array( 'description' => __( 'ابزارک ساخته شده برای برطرف کردن مشکل اینماد', 'enamad_widget' ), ) );
	}

	public function widget( $args, $instance ) {
		if ( ! isset( $args['widget_id'] ) ) {
			$args['widget_id'] = $this->id;
		}

		$title = ( ! empty( $instance['title'] ) ) ? $instance['title'] : '';

		/** This filter is documented in wp-includes/widgets/class-wp-widget-pages.php */
		$title = apply_filters( 'widget_title', $title, $instance, $this->id_base );

		$id = ( ! empty( $instance['id'] ) ) ? absint( $instance['id'] ) : 'not_found';
		if ( ! $id ) {
			$id = 'not_found';
		}
		$code = isset( $instance['enamad_code'] ) ? ( $instance['enamad_code'] ) : 'not_found' ;
 
		?>
		<?php echo $args['before_widget']; ?>
		<?php
		if ( $title ) {
			echo $args['before_title'] . $title . $args['after_title'];
		}
		?>
		
		<a referrerpolicy="origin" target="_blank" href="https://trustseal.enamad.ir/?id=<?php echo $id; ?>&amp;Code=<?php echo $code; ?>">
		   <img referrerpolicy="origin" src="https://Trustseal.eNamad.ir/logo.aspx?id=<?php echo $id; ?>&amp;Code=<?php echo $code; ?>" alt="" style="cursor:pointer" id="<?php echo $code; ?>">
		</a>
		<script>
        jQuery(function($){
        $("#<?php echo $code; ?>").parent().attr('rel', 'origin');
        });
        </script>
		
		
		<?php
		echo $args['after_widget'];
	}

	public function update( $new_instance, $old_instance ) {
		$instance              = $old_instance;
		$instance['title']     = sanitize_text_field( $new_instance['title'] );
		$instance['id']          = (int) $new_instance['id'];
		$instance['enamad_code'] =  $new_instance['enamad_code'] ;
		return $instance;
	}

	public function form( $instance ) {
		$title     = isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';
		$id   = isset( $instance['id'] ) ? absint( $instance['id'] ) : 'مقداری یافت نشد';
		$code = isset( $instance['enamad_code'] ) ? ( $instance['enamad_code'] ) : 'مقداری یافت نشد';
		?>
		<p><label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo $title; ?>" /></p>

		<p><label for="<?php echo $this->get_field_id( 'id' ); ?>">آیدی لینک - نمونه : 137760</label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'id' ); ?>" name="<?php echo $this->get_field_name( 'id' ); ?>" type="number"  value="<?php echo $id; ?>" placeholder="مقدار آیدی لینک را وارد کنید"/>
		</p>

		<p><label for="<?php echo $this->get_field_id( 'enamad_code' ); ?>"> کد لینک - نمونه : jc0ZNczx8iW9oPqgt66B </label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'enamad_code' ); ?>" name="<?php echo $this->get_field_name( 'enamad_code' ); ?>" type="text"  value="<?php echo $code; ?>" placeholder="مقدار کد لینک را وارد کنید"/></p>
		<?php
	}
}


//start register widget
function hipi_widgets_init() {
  	register_widget( 'enamad' );
 }
add_action( 'widgets_init', 'hipi_widgets_init' );
//end


 
?>